Package com.microsoft.sqlserver.jdbc

# Class KerbCallback

java.lang.Object
com.microsoft.sqlserver.jdbc.KerbCallback

All Implemented Interfaces:
  `javax.security.auth.callback.CallbackHandler`

    public class KerbCallback
    extends java.lang.Object
    implements javax.security.auth.callback.CallbackHandler

Provides implemention of the callback handler for Kerberos.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getUsernameRequested()` | Returns if a name was retrieved By Kerberos.
`void` | `handle​(javax.security.auth.callback.Callback[] callbacks)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getUsernameRequested

public java.lang.String getUsernameRequested()
Returns if a name was retrieved By Kerberos.

Returns:
  null if callback was not called or username was not provided

### handle

public void handle​(javax.security.auth.callback.Callback[] callbacks) throws java.io.IOException, javax.security.auth.callback.UnsupportedCallbackException

Specified by:
  `handle` in interface `javax.security.auth.callback.CallbackHandler`
Throws:
  `java.io.IOException`
  `javax.security.auth.callback.UnsupportedCallbackException`